%define name 	gsmssend
%define version 1.6pre1
%define release 1mdk
%define summary GNOME frontend to smssend

Summary: 	%{summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://lassauge.free.fr/smssend/%{name}-%{version}.tar.bz2
URL: 		http://lassauge.free.fr/fr_sms.htm
License: 	GPL
Group: 		Communications
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	smssend, skyutils
BuildRequires: 	smssend, skyutils-devel, gtk+ >= 1.2.8, gtk+-devel >= 1.2.8
BuildRequires:  gettext-devel, automake, autoconf, gnome-libs-devel, ORBit

%description
GNOME-SmsSend is a gnome UI to the smssend tools written by 
Christophe CALMEJANE 'Ze KiLleR / SkyTech' 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-1.6

%build
rm -rf $RPM_BUILD_ROOT

./autogen.sh
rm config.cache
%configure --enable-compile-warnings=no

%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

# menu support
mkdir -p %buildroot%{_menudir}
cat - << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
                 needs="X11" section="Networking/Other" title="gSmsSend" \
                 icon="gnome-smssend.png" longtitle="%{summary}"
EOF

# put icon also in standard icon directory
mkdir -p %buildroot%{_iconsdir}
cp %buildroot%{_datadir}/pixmaps/gnome-smssend.png %buildroot%{_iconsdir}

%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS INSTALL README NEWS TODO ChangeLog
%attr(755,root,root) %{_bindir}/gsmssend
%{_menudir}/%{name}
%{_iconsdir}/gnome-smssend.png
%{_datadir}/pixmaps/gnome-smssend.png


%changelog
* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6pre1-1mdk
- updated to 1.5pre1

* Tue Jun 19 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5-1mdk
- 1.5.

* Tue Apr 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- %make instead of %__make
	- 1.4

* Mon Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- updated by Christian Zoffoli <czoffoli@linux-mandrake.com> :
	- updated to 1.3

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4-1mdk
- updated to 0.4

* Wed Oct 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- used srpm from Alexander Skwar :
	Tue Oct  3 2000 Alexander Skwar <ASkwar@linux-mandrake.com> 
	- First Mandrake version
	- Needs smssend


